/** Shopify CDN: Minification failed

Line 225:0 Unexpected "}"
Line 276:0 Unexpected "}"

**/
.predictive-search {
  display: none;
  position: absolute;
  top: calc(100% + 0.1rem);
  left: -0.1rem;
  border-width: var(--popup-border-width);
  border-style: solid;
  border-color: rgba(var(--color-foreground), var(--popup-border-opacity));
  background-color: rgb(var(--color-background));
  z-index: 3;
  border-bottom-right-radius: var(--popup-corner-radius);
  border-bottom-left-radius: var(--popup-corner-radius);
  box-shadow: var(--popup-shadow-horizontal-offset) var(--popup-shadow-vertical-offset) var(--popup-shadow-blur-radius) rgba(var(--color-shadow), var(--popup-shadow-opacity));
  color:black !important;
}

.predictive-search--search-template {
  z-index: 2
}

@media screen and (max-width: 749px) {
  .predictive-search--header {
    right: 0;
    left: 0;
    top: 100%;
  }
}

@media screen and (max-width: 989px) {
  .predictive-search {
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;

  }
}

@media screen and (min-width: 750px) {
  .predictive-search {
    border-top: none;
    width: 100% !important;
  }

  .header predictive-search {
    position: relative;
  }
}

predictive-search[open] .predictive-search,
predictive-search[loading] .predictive-search {
  display: none;
}

.predictive-search__heading {
  border-bottom: none;
  margin: 0 auto;
  padding: 0.75rem 0 0rem  !important;
  display: flex;
  justify-content:center  !important;
  align-items: center;
  width: calc(100% - 4rem);
  color: black !important;
}

predictive-search .spinner {
  width: 1.5rem;
  height: 1.5rem;
  line-height: 0;
}

.predictive-search__heading .spinner {
  margin: 0 0.2rem 0 2rem;
}

predictive-search:not([loading]) .predictive-search__heading .spinner,
predictive-search:not([loading]) .predictive-search__loading-state,
predictive-search:not([loading]) .predictive-search-status__loading {
  display: none;
}

predictive-search[loading] .predictive-search__loading-state {
  display: flex;
  justify-content: center;
  padding: 1rem;
}

predictive-search[loading] .predictive-search__heading ~ .predictive-search__loading-state,
predictive-search[loading] .predictive-search__results-list:first-child {
  display: none;
}

.predictive-search__list-item:nth-last-child(2) {
  border-bottom: none;
}

.predictive-search__list-item[aria-selected="true"] > *,
.predictive-search__list-item:hover > * {
  color: rgb(var(--color-foreground));
  background-color: rgba(var(--color-foreground), 0.04);
}

.predictive-search__list-item[aria-selected="true"] .predictive-search__item-heading,
.predictive-search__list-item:hover .predictive-search__item-heading {
  text-decoration: underline;
  text-underline-offset: 0.3rem;
}

.predictive-search__item {
  display: flex;
  padding: none;
  text-align: center !important;
  text-decoration: none;
  width: 100%;
}

.predictive-search__item--link {
  display: grid;
  grid-template-columns: 0rem 1fr;
  grid-column-gap: 0rem;
  grid-template-areas: 'product-image product-content';
}

.predictive-search__item-content {
  grid-area: product-content;
  display: flex;
  flex-direction: column;
}

.predictive-search__item-content--centered {
  justify-content: center;
}

.predictive-search__item-vendor {
  font-size: 0.9rem;
}

.predictive-search__item-heading {
  margin: 0;
  color:black !Important;
  font-size: 10px !important;
  padding: 1rem 1rem 1rem !important;
}

.predictive-search__item .price {
  color: rgba(var(--color-foreground), 0.7);
  font-size: 1.2rem;
}

.predictive-search__item-vendor + .predictive-search__item-heading,
.predictive-search .price {
  margin-top: 0.5rem;
}

.predictive-search__item--term {
  justify-content: center !important;
  align-items: center;
  padding: 1.3rem 2rem;
  word-break: break-all;
  line-height: calc(1 + 0.4 / var(--font-body-scale));
  border-top:1px solid rgb(177 177 177 / 15%);
}

@media screen and (min-width: 750px) {
  .predictive-search__item--term {
    padding-top: 1rem;
    padding-bottom: 1rem;
  }
}

.predictive-search__item--term .icon-arrow {
  width: calc(var(--font-heading-scale) * 1.4rem);
  height: calc(var(--font-heading-scale) * 1.4rem);
  flex-shrink: 0;
  margin-left: 5px !important;
  color: rgb(var(--color-link));
}

.predictive-search__image {
  grid-area: product-image;
  object-fit: contain;
  font-family: 'object-fit: contain';
}
.dark-background predictive-search[open] .predictive-search {
  background:black;
  color: white !important;
  box-shadow: 0 1px 6px rgb(0 0 0 / 55%);
}
.dark-background .predictive-search__item--term {
  color: white !important;
}
.dark-background .predictive-search__heading { 
color:white !important;
}
.dark-background .predictive-search__item-heading {
    color: white !important;
}

.dark-background .predictive-search__item--term .icon-arrow {
  color: white !important;
}
    .predictive-search__item--term {
        font-size: 10px !important;
    }
 predictive-search[open] .predictive-search {
    border-radius: 8px;
}
 @media (max-width: 749px) {
predictive-search[open] .predictive-search {
    width: 350px;
    left: 5px;
}
 }
.predictive-search__heading {
    font-weight: normal;
}
.header predictive-search {
        position: relative;
        font-weight: normal;
    }
}
.field:after, .select:after, .customer .field:after, .customer select:after, .localization-form__select:after {
    border: 0px !important;
    box-shadow: 0 1px 5px rgb(192 192 192 / 45%);
    border-radius: 80px;
}
body.gradient.dark-background .field__input, body.gradient.dark-background .disclosure button {
    border: 0px !important;
    background: transparent;
    border-radius: 80px;
}
 @media (max-width: 749px) {
.field__label {
    font-size: 1.2rem;
  margin-top:2px;
}
 }
 @media (min-width: 750px) {
predictive-search[open] .predictive-search {
    top: 63px;
}
 }
 @media (max-width: 749px) {
predictive-search[open] .predictive-search {
    top: 60px;
}
 }
@media screen and (min-width: 750px) {
    .predictive-search__item--term {
        padding-top: .9rem;
        padding-bottom: 1rem;
    }
}
.predictive-search__item--term {
    padding: 2px;
}
details[open] > .search-modal {
    opacity: 1;
    animation: animateMenuOpen var(--duration-default) ease;
    background: transparent;
    background-image: linear-gradient(0deg, rgba(252,252,252,1) 0%, rgba(224,224,224,1) 6%, rgba(237,237,237,1) 25%, rgba(241,241,241,1) 48%, rgba(244,244,244,1) 100%);
}
details[open] > .search-modal:after {
    content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 50%;
    background: linear-gradient(rgba(255, 255, 255, 0.8), rgb(255 255 255 / 0%));
}
}
.dark-background details[open] > .search-modal {
    opacity: 1;
    animation: animateMenuOpen var(--duration-default) ease;
    background: transparent;
    background-image: linear-gradient(0deg, rgba(0,0,0,1) 0%, rgba(41,41,41,1) 6%, rgba(17,17,17,1) 25%, rgba(0,0,0,1) 48%, rgba(0,0,0,1) 100%) !important;
}
.dark-background details[open] > .search-modal:after {
content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 40%;
    opacity: .3;
    background: linear-gradient(rgb(0 0 0 / 80%), rgba(255, 255, 255, 0)) !important;
}
predictive-search[open] .predictive-search{
   opacity: 1;
    animation: animateMenuOpen var(--duration-default) ease;
        background: radial-gradient(75% 50% at 50% 0%, #ffffff, transparent), radial-gradient(75% 35% at 50% 85%, #f5f5f5, #dcdcdc9e);
    box-shadow: inset 0 -2px 4px 1px rgba(0, 0, 0, 0.1), inset 0 -4px 4px 1px #ffffff, inset 0 0 2px 1px rgba(255, 255, 255, 0.8), 0 1px 4px 1px rgba(0, 0, 0, 0.05), 0 1px 4px 1px rgba(0, 0, 0, 0.1) !important;
   
}
predictive-search[open] .predictive-search:after {
  content: '';
	position: absolute;
	top: 2px;
	left: 5px;
    width: 98%;
	height: 50%;
	background: linear-gradient(rgba(255,255,255,0.8), rgba(255,255,255,0));
  border-radius: 8px;
}
.predictive-search__item-content--centered {
    z-index: 999999999;
}
.predictive-search__image {
    z-index: 99999999;
    display: none !important;
}
.dark-background predictive-search[open] .predictive-search {
    opacity: 1;
    animation: animateMenuOpen var(--duration-default) ease;
  box-shadow: inset 0 -2px 4px 1px rgb(68 68 68 / 12%), inset 0 -4px 4px 1px rgba(0, 0, 0, 0.5), inset 0 0 2px 1px rgba(255, 255, 255, 0.2), 0 1px 4px 1px rgba(0, 0, 0, 0.3), 0 1px 4px 1px rgb(0 0 0 / 20%) !important;
    background:radial-gradient(75% 50% at 50% 0%, #c6c6c64f, transparent), radial-gradient(75% 35% at 50% 85%, #000000, #2121211c) !important;
}
.dark-background predictive-search[open] .predictive-search:after {
      content: '';
    position: absolute;
    top: 2px;
    left: 5px;
    width: 98%;
    height: 50%;
    opacity: .5;
    background: linear-gradient(rgb(255 255 255 / 80%), rgb(255 255 255 / 0%)) !important;
    border-radius: 10px;
}
body.gradient.dark-background .header predictive-search label.field__label {
    color: #ffffff;
}

body.gradient.dark-background .header predictive-search .field__input{
  color: #ffffff !IMPORTANT;
}
body.gradient.dark-background #shopify-section-template--14673274503232__main .search__input.field__input, #shopify-section-template--14673274503232__main .field:after, #shopify-section-template--14673274503232__main .select:after {
    color: white !important;
}
body.gradient.dark-background #shopify-section-template--14673274503232__main .field__label, #shopify-section-template--14673274503232__main .customer .field label {
    font-weight: bold;
    color: white !important;
}